object frmOptions: TfrmOptions
  Left = 216
  Top = 185
  BorderStyle = bsDialog
  Caption = 'Options'
  ClientHeight = 461
  ClientWidth = 531
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object pbCancel: TButton
    Left = 448
    Top = 428
    Width = 75
    Height = 25
    Cancel = True
    Caption = 'Cancel'
    ModalResult = 2
    TabOrder = 2
  end
  object pbOK: TButton
    Left = 360
    Top = 428
    Width = 75
    Height = 25
    Caption = 'OK'
    Default = True
    TabOrder = 1
    OnClick = pbOKClick
  end
  object pcOptions: TPageControl
    Left = 4
    Top = 4
    Width = 521
    Height = 417
    ActivePage = tsVarious
    TabOrder = 0
    object tsCharsets: TTabSheet
      Caption = 'Character sets'
      object GroupBox2: TGroupBox
        Left = 176
        Top = 8
        Width = 329
        Height = 101
        Caption = 'Punctuation set'
        TabOrder = 1
        object Label1: TLabel
          Left = 8
          Top = 16
          Width = 236
          Height = 13
          Caption = '&The following characters form the punctuation set:'
          FocusControl = edPunctuationSet
        end
        object edPunctuationSet: TEdit
          Left = 8
          Top = 36
          Width = 309
          Height = 21
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Courier'
          Font.Pitch = fpFixed
          Font.Style = []
          ParentFont = False
          TabOrder = 0
          Text = 'edPunctuationSet'
        end
        object pbReset: TButton
          Left = 244
          Top = 64
          Width = 75
          Height = 25
          Caption = '&Reset'
          TabOrder = 1
          OnClick = pbResetClick
        end
      end
      object GroupBox1: TGroupBox
        Left = 8
        Top = 8
        Width = 141
        Height = 133
        Caption = 'Character sets available'
        TabOrder = 0
        object ckUseUppercase: TCheckBox
          Left = 12
          Top = 20
          Width = 85
          Height = 17
          Caption = '&Uppercase'
          TabOrder = 0
        end
        object ckUseLowercase: TCheckBox
          Left = 12
          Top = 40
          Width = 85
          Height = 17
          Caption = '&Lowercase'
          TabOrder = 1
        end
        object ckUseNumbers: TCheckBox
          Left = 12
          Top = 60
          Width = 85
          Height = 17
          Caption = '&Numbers'
          TabOrder = 2
        end
        object ckUseSpace: TCheckBox
          Left = 12
          Top = 100
          Width = 85
          Height = 17
          Caption = '&Space'
          TabOrder = 4
        end
        object ckUsePunctuation: TCheckBox
          Left = 12
          Top = 80
          Width = 85
          Height = 17
          Caption = '&Punctuation'
          TabOrder = 3
        end
      end
      object GroupBox4: TGroupBox
        Left = 24
        Top = 160
        Width = 469
        Height = 221
        Caption = 'Character set usage'
        TabOrder = 2
        object Label2: TLabel
          Left = 12
          Top = 20
          Width = 169
          Height = 13
          Caption = '&Generated passwords must contain:'
          FocusControl = rbMandatoryOneFromEachSelected
        end
        object Label3: TLabel
          Left = 32
          Top = 56
          Width = 423
          Height = 26
          Caption = 
            'This forces the best mix, but if the "space" set is selected, an' +
            ' attacker *knows* that there is a space in the password'
          WordWrap = True
        end
        object Label4: TLabel
          Left = 32
          Top = 104
          Width = 233
          Height = 13
          Caption = 'This probably provides the best mix for most users'
          WordWrap = True
        end
        object Label5: TLabel
          Left = 32
          Top = 140
          Width = 404
          Height = 26
          Caption = 
            'This means passwords generated may not include characters from a' +
            'll charsets, but all charsets will have an '
          WordWrap = True
        end
        object Label6: TLabel
          Left = 12
          Top = 172
          Width = 441
          Height = 39
          Caption = 
            'The above constraint will only be used to check passwords genera' +
            'ted. If a password is generated which does not fulfil the criter' +
            'ia selected above, it will be discarded and a new one generated.'
          WordWrap = True
        end
        object rbMandatoryOneFromEachSelected: TRadioButton
          Left = 12
          Top = 40
          Width = 397
          Height = 17
          Caption = 'At least one character from each selected charset'
          TabOrder = 0
        end
        object rbMandatoryOneFromEachSelectedExceptSpace: TRadioButton
          Left = 12
          Top = 88
          Width = 445
          Height = 17
          Caption = 
            'At least one character from each selected charset, with the exce' +
            'ption of the "space" set'
          TabOrder = 1
        end
        object rbMandatoryNone: TRadioButton
          Left = 12
          Top = 124
          Width = 113
          Height = 17
          Caption = 'No contraint'
          TabOrder = 2
        end
      end
    end
    object tsVarious: TTabSheet
      Caption = 'Various'
      ImageIndex = 1
      object GroupBox3: TGroupBox
        Left = 40
        Top = 152
        Width = 433
        Height = 125
        Caption = 'Miscellaneous'
        TabOrder = 1
        object Label7: TLabel
          Left = 32
          Top = 76
          Width = 389
          Height = 39
          Caption = 
            'This reduces security slightly, as an attacker need not bother c' +
            'hecking passwords which *do* begin or end with a space. However,' +
            ' if the password is written down or emailled out (BAD!), it will' +
            ' be easier to read if this option is checked'
          WordWrap = True
        end
        object ckCopyToClipboard: TCheckBox
          Left = 12
          Top = 20
          Width = 381
          Height = 17
          Caption = 'Automatically copy generated passwords to clipboard'
          TabOrder = 0
          OnClick = ckCopyToClipboardClick
        end
        object ckNoStartEndInSpace: TCheckBox
          Left = 12
          Top = 60
          Width = 257
          Height = 17
          Caption = '&Passwords may not start of end with "space"'
          TabOrder = 2
        end
        object ckWarnClipboardCopy: TCheckBox
          Left = 32
          Top = 40
          Width = 281
          Height = 17
          Caption = 'Warn when password automatically copied to clipboard'
          TabOrder = 1
        end
      end
      object rgRNGType: TRadioGroup
        Left = 164
        Top = 52
        Width = 185
        Height = 57
        Caption = 'Random number generator (RNG)'
        Items.Strings = (
          'Mouse movement'
          'OS RNG (Microsoft CryptoAPI)')
        TabOrder = 0
      end
    end
  end
end
